REST APIWallet & TransactWebhook

GET

List webhook notifications for a wallet. Returns notifications that were triggered by webhooks on the specified wallet.

Path Params

  • coin string required
    A cryptocurrency or token ticker symbol.
  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

Query Params

  • prevId string
    Return the next batch of results, based on the nextBatchPrevId value from the previous batch.

    matches ^[0-9a-f]{32}$

  • limit integer
    Maximum number of results to return.

    >= 1

  • hash string
    Filter notifications by transaction hash.

Responses

200
OK

Response Body

object

  • webhookNotifications array of objects
    webhookNotifications object
    • id string

      matches ^[0-9a-f]{32}$

    • type string enum
      Event type to listen to.
      txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpireunspentExpirypendingapprovaladdress_confirmationlowFeeblockadmincircuitBreakertransaction_finality_on_l1lowFeeAddressBalancestuckTx
    • wallet string

      matches ^[0-9a-f]{32}$

    • enterprise string

      matches ^[0-9a-f]{32}$

    • organization string

      matches ^[0-9a-f]{32}$

    • bankAccount string

      matches ^[0-9a-f]{32}$

    • url string uri
    • hash string
      A transaction hash for transactions, or a block hash for block notifications.
    • coin string
      A cryptocurrency or token ticker symbol.
    • transfer string

      matches ^[0-9a-f]{32}$

    • state string enum
      If failed, webhook notification failed to connect with the target URL. If new, webhook notification was newly generated, in response to an event. If pending, webhook notification is awaiting processing by the webhook worker. If processed, webhook notification successfully sent to target URL. If unconfirmed, webhook notification is awaiting confirmation on the blockchain.
      failednewpendingprocessedunconfirmed
    • simulation boolean
    • retries integer
      The number of retries that have been attempted for this webhook notification.
    • webhook string

      matches ^[0-9a-f]{32}$

    • updateAt string date-time
    • nextAttempt string date-time
    • version integer
    • idempotencyKey string
      A unique id that can be used to de-duplicate notifications.
  • nextBatchPrevId string

    matches ^[0-9a-f]{32}$

400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code